VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
EventConsumeState Struct Reference
Version 4.11

EventConsumeState. More...

## Public Member Functions
void | operator= (bool state)
| operator bool ()
void | reset ()

## Public Attributes
uint32_t | data {NotHandled}

## Static Public Attributes
static constexpr uint32_t | NotHandled = 0
static constexpr uint32_t | Handled = 1
static constexpr uint32_t | Last = 2

## Detailed Description

EventConsumeState.

## Member Function Documentation

operator bool | ( |  | ) |
| inline

void operator= | ( | bool | state | ) |
| inline

void reset | ( |  | ) |
| inline

## Member Data Documentation

uint32_t data {NotHandled}

constexpr uint32_t Handled = 1
| static

constexpr uint32_t Last = 2
| static

constexpr uint32_t NotHandled = 0
| static

The documentation for this struct was generated from the following file:

- events.h